module Lightspeed
  class Configuration
    attr_accessor :rate_limit, :environment

    def initialize(rate_limit: nil)
      @rate_limit = rate_limit || false
      @environment = :production
    end

    def environment=(env)
      env = env.to_sym
      unless [:development, :production].include?(env)
        raise ArgumentError, "#{env.inspect} is not a valid environment"
      end
      @environment = env
    end

    def server
      case environment
      when :development
        "http://#{ENV['GATEWAY_SERVER'] || 'localhost:3000'}"
      when :production
        "https://api.merchantos.com/API/"
      end
    end
  end
end
